// Common includes
#define WIN32_LEAN_AND_MEAN
#include <Windows.h>
#include <stdio.h>
#include <tchar.h>

// Include and link for custom DLL functions
#include "NetWrapper.h"

void main()
{
   // Get "handle" to managed object
   HRAND rand = RandomCreate();

   printf("*** 10 Random Integers ***\n");
   // Call managed method on object 10 times
   for(int index=0; index<10; index++){
      int num = RandomNext(rand, 10)+1;
      printf("%d\n", num);
   }

   printf("\n\n");
   printf("*** 10 Random Bytes ***\n");
   // Call one managed method to get block of bytes
   BYTE bytes[10];
   int size = sizeof(bytes);
   RandomNextBytes(rand, bytes, size);
   // Print the byte's values
   for(int index=0; index<size; index++){
      int num = bytes[index];
      printf("%d\n", num);
   }

   // Make managed object subject to garbage
   // collection
   RandomClose(rand);
}

